// dieser tab beinhaltet alle methoden, die für die übermittlung von daten zwischen arduino und processing erforderlich sind

class ArduinoCommunication { 
  void festlegen() { // die methode legt die Messbedingungen fest
    port.write('a'); // zeichen für: Achtung jetzt kommen die Messbedingungen
    port.write(textfield_save.getText()+" ");
    port.write(((int)(box_stunden.getValue()*60+box_minuten.getValue()))+"\n"); // Dauer der Messung
    port.write(((int)box_frq.getValue())+"\n"); // Frq in der Messwerte gemessen werden
    port.write(((int)slider_t.getValue())+"\n"); // Temp_start
    port.write(((int)box_i_t.getValue())+"\n");// temp_add_val //es geht auch port.write("5555"+"\n");
    port.write(((int)box_zeit_t.getValue())+"\n"); // temp_add_time
    port.write(((int)slider_r.getValue())+"\n"); // lichtint_rot start
    port.write(((int)box_i_r.getValue())+"\n"); // lichtint_rot add val
    port.write(((int)box_zeit_r.getValue())+"\n"); // lichtint rot add time
    port.write(((int)slider_b.getValue())+"\n"); // lichtint blau start
    port.write(((int)box_i_b.getValue())+"\n"); // lichtint blau add val
    port.write(((int)box_zeit_b.getValue())); // lichtint blau add time
    //port.write(textfield_save.getText());
  }
  void messStart() { // die methode startet die Messung
    port.write('b');
  }
  void messStopp() { // die methode stoppt die messung
    port.write('e');
  }
  void getData(String quellDatei, String zielDatei) {  // die methode schickt einen namen an den arduino, der darauf die datei dieses namens byte per byte an das processing programm schickt
    port.clear();
    port.write('d');
    port.write(quellDatei);// jetzt wird die datei geschickt, die man bitte vom arduino erhalten will
    konsole("warte");
    delay(2000);
    if (port.available()>0) { //datei existiert, wird kopiert
      if (port.read()==1) {
        output=createWriter(zielDatei);
        while (port.available()>0) {
          output.write(port.read());
        }
        konsole("Übertragung beendet");
        output.close();
      }else{ //datei existiert nicht, fehler
        konsole("Fehler, Datei existiert nicht.");
      }
    }
  }
}